## Contact List channels

Contact List channels — service-side interface for the Contact List channel type

## Types and Values

| TpSvcChannelTypeContactList
| TpSvcChannelTypeContactListClass

## Object Hierarchy

        GInterface
        ╰── TpSvcChannelTypeContactList

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

Many instant messaging protocols have the a concept of a contact list, roster or buddy list. Some protocols also have user-defined groups or tags which can be represented as subsets of the roster.

This section documents the auto-generated C wrappers for the Contact List channel type.

## Functions

## Types and Values

### TpSvcChannelTypeContactList

    typedef struct _TpSvcChannelTypeContactList TpSvcChannelTypeContactList;

Dummy typedef representing any implementation of this interface.

### TpSvcChannelTypeContactListClass

    typedef struct _TpSvcChannelTypeContactListClass TpSvcChannelTypeContactListClass;

The class of TpSvcChannelTypeContactList. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.